﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Tableaux
{
    class Program
    {
        static void Main(string[] args)
        {
            /*
            // Exemples de types composés : les tableaux
            int[] tab1 = { 12, -6, 123, 1, 0, -67 };
            //afficheTableau(tab1);
            int[] tab2 = { -1, 0, 1, 1, 0, 1 };
            Console.WriteLine(produitScalaire(tab1, tab2));
            int[] t = lireTableau(6);
            afficheTableau(t);*/

            // tableaux à deux dimensions
            int[] ligne1 = { 1, 2, 3 };
            int[] ligne2 = { 4, 5, 6 };
            int[][] matrice = {ligne1 , ligne2 };
            afficheMatrice(matrice);
            Wait();
        }

        static void Wait()
        {
            Console.WriteLine("Enter pour finir");
            Console.ReadLine();
        }

        static int[] lireTableau(int n)
        {
            // lit un tableau de taille n
            int[] res = new int[n];
            Console.WriteLine("donnez " + n + "valeurs");
            for (int i=0;i<n;i++)
            {
                res[i] = Convert.ToInt32(Console.ReadLine());
            }
            return res;
        }

        static void afficheTableau(int[] t)
        {
            // affiche les éléments sur la même ligne
            for (int i = 0; i < t.Length; i++)
                Console.Write(t[i] + " ");
            // passe à la ligne à la fin
            Console.WriteLine();
        }

        static void afficheMatrice(int[][] m)
        {
            // m.Length est le nombre de lignes
            for (int i = 0; i < m.Length; i++)
            {
                // m[0].Length est le nombre de colonnes
                for (int j = 0; j < m[0].Length; j++)
                    Console.Write(m[i][j] + " ");
                // on passe à la ligne entre chaque ligne
                Console.WriteLine();
            }
        }

        static int produitScalaire(int[] v1,int[] v2)
        {
            int res=0;
            if (v1.Length!=v2.Length)
            {
                Console.WriteLine("produit scalaire impossible");
                return -1;
            }
            for (int i = 0; i < v1.Length; i++)
                res += v1[i] * v2[i];
            return res;
        }

    }
}
